> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate api key

> Authenticate API keys using account_id, key, and secret.




## OpenAPI

````yaml post /auth/token
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /auth/token:
    post:
      tags:
        - Auth
      description: |
        Authenticate API keys using account_id, key, and secret.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - in: query
          name: secret
          required: true
          schema:
            type: string
          description: The secret key
        - in: query
          name: key
          required: true
          schema:
            type: string
          description: The API key
      responses:
        '200':
          description: JWT token
          content:
            application/json:
              schema:
                type: string
        '401':
          description: Unauthorized
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````